SDL_GetDisplayProperties(3)

NAME
SDL_GetDisplayProperties - Get the properties associated with a display.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_PropertiesID SDL_GetDisplayProperties(SDL_DisplayID displayID);

DESCRIPTION
The following read-only properties are provided by SDL:

• SDL_PROP_DISPLAY_HDR_ENABLED_BOOLEAN: true if the display has HDR headroom above the SDR white point. This is for informational and diagnostic purposes only, as not all platforms provide this information at the display level.

On KMS/DRM:

• SDL_PROP_DISPLAY_KMSDRM_PANEL_ORIENTATION_NUMBER: the "panel orientation" property for the display in degrees of clockwise rotation. Note that this is provided only as a hint, and the application is responsible for any coordinate transformations needed to conform to the requested display orientation.

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.